/* LD script for sol */
OUTPUT_FORMAT("binary")
OUTPUT_ARCH("z80")
MEMORY {
   main : ORIGIN = 0x8000, LENGTH = 0x0010
   program : ORIGIN = 0x8A00, LENGTH = 0x7400
   isr : ORIGIN = 0x8900, LENGTH = 0x0300
   blast : ORIGIN = 0x8010, LENGTH = 0x08F0
}
SECTIONS
{
.blast : {
		*(driver)
		*(font)
		blast.o
		} > blast
.text : {
		*(.text)
		*(text)
		} > program
.main : {
		*(.main)
		} > main
.isr : {
		*(.isr)
		*(isr)
		} > isr
.bss : {
		*(.bss)
		*(bss)
		} > program
.data : {
		*(.data)
		*(data)
		} > program
}
